Package org.eclipse.emf.compare.match.eobject

## Interface WeightProvider

All Known Implementing Classes:
  `AbstractWeightProvider`, `DefaultWeightProvider`, `EcoreWeightProvider`

    public interface WeightProvider

Provide the weight to consider while comparing EObjects by their content.

### Nested Class Summary

Nested Classes
`static interface` `WeightProvider.Descriptor` Wrapper describing the given weight provider.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getContainingFeatureWeight​(EObject a)` Return the weight associated with the fact some Object has changed it's containing reference.
`int` `getParentWeight​(EObject a)` Return the weight associated with the fact some Object has changed it's container.
`int` `getWeight​(EStructuralFeature attribute)` Return the weight for the given feature.

### Method Detail

#### getWeight

    int getWeight​(EStructuralFeature attribute)

Return the weight for the given feature.

Parameters:
  `attribute` - any `EStructuralFeature`.
Returns:
  the weight for the given feature. 0 meaning no effects.

#### getParentWeight

    int getParentWeight​(EObject a)

Return the weight associated with the fact some Object has changed it's container.

Parameters:
  `a` - any instance.
Returns:
  a weight representing the importance of the change of container to compute matches.

#### getContainingFeatureWeight

    int getContainingFeatureWeight​(EObject a)

Return the weight associated with the fact some Object has changed it's containing reference.

Parameters:
  `a` - any instance.
Returns:
  a weight representing the importance of the change of containing reference to compute matches.